<template>
	<view class="container">
		<view class="vheigh"></view>
		<view class="bg">
			<image src="../../static/icon/user-top.png" mode=""></image>
		</view>
		<view class="user-section flex">
			<view class="detail" @click="navTo('/pages/set/set')">
				<view class="portrait-box">
					<image class="portrait" :src="userInfo.avatar || '/static/error/missing-face.png'"></image>
				</view>
				<view class="info-box">
					<view class="username">{{ userInfo.nickname || '游客' }}</view>
					<view class="phone" v-if="userInfo.phone">{{ userInfo.phone | hiddenphone }}</view>
				</view>
			</view>
			<view class="config" v-if="userInfo.vip">
				<view class="setting">
					<image src="../../static/icon/set.png" mode=""></image>
				</view>
				<view class="config-font">{{userInfo.vip_name}}</view>
			</view>
		</view>
		<view class="user-money flex" v-if="userInfo.vip">
			<view class="user-money-item" @click="navTo('/pages/user/award')">
				<view class="user-money-num">{{ userInfo.brokerage_price * 1 || 0 }}</view>
				<view class="user-money-font">我的佣金</view>
			</view>
			<view class="user-xian"></view>
			<view class="user-money-item" @click="navTo('/pages/user/yue')">
				<view class="user-money-num">{{ userInfo.now_money * 1 || 0 }}</view>
				<view class="user-money-font">我的消费金</view>
			</view>
			<view class="user-xian"></view>
			<view class="user-money-item" @click="navTo('/pages/user/team')">
				<view class="user-money-num">{{ all }}</view>
				<view class="user-money-font">我的推广</view>
			</view>
		</view>
		<view class="main-box">
			<view class="title flex" @click="navTo('/pages/order/order?state=0')">
				<view class="title-left">
					<image class="title-icon" src="../../static/icon/order.png" mode=""></image>
					<view class="title-font">我的订单</view>
				</view>
				<image class="title-right" src="../../static/icon/back.png" mode=""></image>
			</view>
			<view class="main flex">
				<view class="oitem" @click="navTo('/pages/order/order?state=0')">
					<image class="oitem-image" src="../../static/icon/o1.png" mode=""></image>
					<view class="oitem-font">待付款</view>
				</view>
				<view class="oitem" @click="navTo('/pages/order/order?state=1')">
					<image class="oitem-image" src="../../static/icon/o2.png" mode=""></image>
					<view class="oitem-font">待发货</view>
				</view>
				<view class="oitem" @click="navTo('/pages/order/order?state=2')">
					<image class="oitem-image" src="../../static/icon/o3.png" mode=""></image>
					<view class="oitem-font">待收货</view>
				</view>
				<view class="oitem" @click="navTo('/pages/order/order?state=3')">
					<image class="oitem-image" src="../../static/icon/o4.png" mode=""></image>
					<view class="oitem-font">已完成</view>
				</view>
			</view>
		</view>
		<view class="user-list flex" @click="navTo('/pages/user/shareQrCode')" v-if="userInfo.vip">
			<image src="../../static/icon/u1.png" mode="widthFix" class="left-img"></image>
			<view class="">推广海报</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view>
		<view class="user-list flex" @click="navTo('/pages/set/address')">
			<image src="../../static/icon/u3.png" mode="widthFix" class="left-img"></image>
			<view class="">收货地址</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view>
		<view class="user-list flex" @click="openKf()">
			<image src="../../static/icon/u4.png" mode="widthFix" class="left-img"></image>
			<view class="">客服中心</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view>
		<view class="user-list flex" @click="navTo('/pages/set/userinfo')">
			<image src="../../static/icon/u5.png" mode="widthFix" class="left-img"></image>
			<view class="">设置</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view>

		<view class="" style="height: 20rpx;"></view>
		<uni-popup ref="popupkf" type="center">
			<view class="popup-box">
				<view class="img">
					<image src="../../static/img/img009.png" mode=""></image>
				</view>
				<view class="mian">
					<view class="delivery">
						<view class="title">已经为您定制专属客服</view>
						<image src="../../static/img/img010.png" mode=""></image>
					</view>
					<view class="nocancel">客服VX:{{ text }}</view>
					<view class="comfirm-box">
						<view class="cancel" @click="cancel">取消</view>
						<view class="comfirm" @click="comfirm(text)">复制微信</view>
					</view>
				</view>
			</view>
		</uni-popup>
	</view>
</template>
<script>
	import {
		mapState,
		mapMutations
	} from 'vuex';
	import uniList from '@/components/uni-list/uni-list.vue';
	import uniListItem from '@/components/uni-list-item/uni-list-item.vue';
	import {
		orderData,
		getUserInfo,
		check,
		spread
	} from '@/api/user.js';
	import {
		saveUrl,
		interceptor
	} from '@/utils/loginUtils.js';
	let startY = 0,
		moveY = 0,
		pageAtTop = true;
	export default {
		components: {
			uniList,
			uniListItem
		},
		data() {
			return {
				current: 2,
				id: '', //是否已签到
				store_name: '',
				achievement: '',
				code: '',
				all: 0,
				text: '', //客服微信
			};
		},
		onShow() {
			this.loadBaseData();
		},
		filters: {
			phone(e) {
				var subStr1 = e.substr(0, 3);
				var subStr2 = e.substr(e.length - 4, 4);
				var subStr = subStr1 + '...' + subStr2;
				e = subStr;
				return e;
			}
		},
		onReady() {
			// 初始化获取页面宽度
			uni.createSelectorQuery()
				.select('.container')
				.fields({
						size: true
					},
					data => {
						// 计算最多下拉的高度
						this.userDowm = Math.floor((data.width / 750) * 185);
						// 计算最大触发修改高度事件
						this.userMaxDowm = Math.floor((data.width / 750) * 250);
					}
				)
				.exec();
		},
		computed: {
			...mapState('user', ['userInfo', 'orderInfo', 'hasLogin'])
		},
		methods: {
			...mapMutations('user', ['setUserInfo']),
			qhx() {
				check({
						verify_code: this.code,
						is_confirm: 1 //1是核销，0是查看
					})
					.then(e => {
						this.$api.msg('核销成功');
						this.close();
					})
					.catch(e => {
						console.log(e);
					});
			},
			phone(e) {
				console.log(e, 'e++++');
				if (e.length > 10) {
					var subStr1 = e.substr(0, 3);
					var subStr2 = e.substr(e.length - 4, 4);
					var subStr = subStr1 + '...' + subStr2;
					e = subStr;
					return e;
				} else {
					return false;
				}
			},
			sao() {
				let obj = this;

				// #ifndef H5
				uni.scanCode({
					success(e) {
						obj.code = e.result;
						obj.$refs.popuphx.open();
						console.log(obj.$refs.popuphx);
					}
				});
				// #endif
			},
			comfirm(text) {
				console.log(text);
				const result = this.uniCopy(text);
				if (result === false) {
					uni.showToast({
						title: '不支持'
					});
				} else {
					uni.showToast({
						title: '复制成功',
						icon: 'none'
					});
				}
				this.$refs.popupkf.close();
			},
			uniCopy(content) {
				/**
				 * 小程序端 和 app端的复制逻辑
				 */
				//#ifndef H5
				uni.setClipboardData({
					data: content,
					success: function() {
						console.log('success');
						return true;
					}
				});
				//#endif

				/**
				 * H5端的复制逻辑
				 */
				// #ifdef H5
				if (!document.queryCommandSupported('copy')) {
					//为了兼容有些浏览器 queryCommandSupported 的判断
					// 不支持
					return false;
				}
				let textarea = document.createElement('textarea');
				textarea.value = content;
				textarea.readOnly = 'readOnly';
				document.body.appendChild(textarea);
				textarea.select(); // 选择对象
				textarea.setSelectionRange(0, content.length); //核心
				let result = document.execCommand('copy'); // 执行浏览器复制命令
				textarea.remove();
				return result;
				// #endif
			},
			// 加载初始数据
			loadBaseData() {
				getUserInfo({})
					.then(({
						data
					}) => {
						this.setUserInfo(data);
						// 判断是否已经登录
					})
					.catch(e => {
						console.log(e);
					});
				spread({
						page: 1,
						limit: 1
					})
					.then(({
						data
					}) => {
						console.log(data);
						this.all = data.total;
					})
					.catch(e => {
						console.log(e);
					});

			},
			/**
			 * 统一跳转接口,拦截未登录路由
			 * navigator标签现在默认没有转场动画，所以用view
			 */
			navTo(url) {
				console.log(url);
				if (!this.hasLogin) {
					// 保存地址
					saveUrl();
					// 登录拦截
					interceptor();
				} else {
					uni.navigateTo({
						url
					});
				}
			},
			close() {
				this.$refs.popuphx.close();
				this.code = '';
			},
			// 打开客服
			openKf() {
				this.$refs.popupkf.open();
			},
			// 关闭客服
			cancel() {
				this.$refs.popupkf.close();
			},
			// 打开绑定
			open() {
				this.$refs.gspass.open();
			},
			cast() {
				set_waiter({
						uid: this.id
					})
					.then(e => {
						this.$api.msg('绑定成功');
						this.$refs.gspass.close();
						this.id = '';
					})
					.catch(err => {
						this.$refs.gspass.close();
						this.id = '';
					});
			},
			cancelpass() {
				this.$refs.gspass.close();
				this.id = '';
			}
		}
	};
</script>
<style lang="scss">
	%flex-center {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	}

	%section {
		display: flex;
		justify-content: space-around;
		align-content: center;
		background: #fff;
		border-radius: 10rpx;
	}

	.container,
	page {
		min-height: 100%;
		height: auto;
		background-color: $page-color-base;
	}

	.vheigh {
		height: var(--status-bar-height);
		background-color: $base-color;
	}

	.bg {
		position: absolute;
		top: 0;
		left: 0;
		height: 420rpx;
		width: 100%;

		image {
			width: 100%;
			height: 100%;
		}
	}

	.user-section {
		padding: 112rpx 42rpx 0 38rpx;
		position: relative;
		z-index: 10;

		.detail {
			display: flex;
			align-items: center;

			.portrait-box {
				height: 120rpx;
				width: 120rpx;

				.portrait {
					width: 100%;
					height: 100%;
					border: 4rpx solid #fff;
					border-radius: 50%;
				}
			}

			.info-box {
				margin-left: 20rpx;
				line-height: 1;

				.username {
					font-size: 32rpx;
					font-family: PingFang SC;
					font-weight: bold;
					color: #ffffff;
				}

				.phone {
					font-size: 25rpx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #ffffff;
					margin-top: 18rpx;
				}
			}
		}

		.config {
			padding: 10rpx 20rpx;
			background: #ffffff;
			border-radius: 25rpx;
			display: flex;
			align-items: center;
			justify-content: center;
			line-height: 1;

			.setting {
				width: 25rpx;
				height: 36rpx;

				image {
					width: 25rpx;
					height: 36rpx;
				}
			}

			.config-font {
				margin-left: 10rpx;
				font-size: 25rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #fd7811;
			}
		}
	}

	.user-money {
		position: relative;
		z-index: 2;
		width: 100%;
		margin-top: 50rpx;
		justify-content: center;

		.user-money-item {
			line-height: 1;
			width: 33%;
			display: flex;
			flex-direction: column;
			justify-content: center;
			align-items: center;

			.user-money-num {
				font-size: 40rpx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #ffffff;
			}

			.user-money-font {
				margin-top: 20rpx;
				font-size: 28rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #FCFCFC;
			}
		}

		.user-xian {
			width: 1px;
			height: 34rpx;
			background: rgba(255, 255, 255, 0.3);
		}
	}

	.popup-box {
		width: 522rpx;
		height: 605rpx;
		background-color: #ffffff;
		border-radius: 20rpx;
		position: relative;

		.img {
			position: relative;
			top: -56rpx;
			left: 0;
			width: 522rpx;
			height: 132rpx;
			display: flex;
			justify-content: center;

			image {
				border-radius: 20rpx 20rpx 0 0;
				width: 450rpx;
				height: 132rpx;
			}
		}

		.mian {
			margin-top: -44rpx;
			display: flex;
			flex-direction: column;
			align-items: center;
			// padding: 32rpx 32rpx;
			background-color: #ffffff;
			border-radius: 0 0 20rpx 20rpx;
			text-align: center;

			.delivery {
				font-size: 40rpx;
				color: #333333;
				display: flex;
				align-items: center;
				flex-direction: column;

				image {
					margin-top: 48rpx;
					width: 172rpx;
					height: 160rpx;
				}
			}

			.nocancel {
				font-size: 32rpx;
				color: #333333;
				margin-top: 14rpx;
			}

			.comfirm-box {
				margin-top: 52rpx;
				display: flex;
				// margin-bottom: 32rpx;

				// justify-content: space-around;
				.cancel {
					display: flex;
					align-items: center;
					justify-content: center;
					width: 197rpx;
					height: 74rpx;
					border: 1px solid #dcc786;
					border-radius: 38rpx;

					font-size: 32rpx;
					color: #605128;
				}

				.comfirm {
					margin-left: 32rpx;
					display: flex;
					align-items: center;
					justify-content: center;
					width: 197rpx;
					height: 74rpx;
					background: linear-gradient(-90deg, #d1ba77 0%, #f7e8ad 100%);
					border-radius: 38px;
					font-size: 32rpx;
					color: #605128;
				}
			}
		}
	}


	.main-box {
		position: relative;
		z-index: 2;
		margin: 20rpx auto 0;
		width: 710rpx;
		background: #ffffff;
		box-shadow: 0px 4rpx 14rpx 0px rgba(229, 229, 229, 0.46);
		border-radius: 20rpx;

		.title {
			display: flex;
			justify-content: space-between;
			align-items: center;
			padding: 24rpx;
			border-bottom: 1px solid #eeeeee;

			.title-left {
				display: flex;
				align-items: center;

				.title-icon {
					width: 32rpx;
					height: 32rpx;
				}

				.title-font {
					margin-left: 20rpx;
					font-size: 28rpx;
					font-family: PingFang SC;
					font-weight: bold;
					color: #333333;
				}
			}

			.title-right {
				width: 14rpx;
				height: 24rpx;
			}
		}

		.main {
			padding: 50rpx 0 30rpx;

			.jg {
				width: 1px;
				height: 100rpx;
				background: #eeeeee;
			}

			.item {
				padding-bottom: 20rpx;
				width: 25%;
				display: flex;
				flex-direction: column;
				align-items: center;

				.item-num {
					font-size: 36rpx;
					font-family: PingFang SC;
					font-weight: bold;
					color: #333333;
				}

				.item-font {
					margin-top: 18rpx;
					font-size: 22rpx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #666666;
				}
			}

			.oitem {
				width: 33%;
				display: flex;
				flex-direction: column;
				align-items: center;

				.oitem-image {
					height: 40rpx;
					width: 42rpx;
				}

				.oitem-font {
					margin-top: 20rpx;
					font-size: 24rpx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #333333;
				}
			}
		}
	}



	.user-list {
		background: #ffffff;
		padding: 30rpx 25rpx;
		width: 690rpx;
		border-radius: 28rpx;
		margin: 14rpx auto 0;

		.left-img {
			width: 40rpx;
			height: 40rpx;
		}

		view {
			padding-left: 20rpx;
			flex-grow: 1;
			font-size: 29rpx;
			font-weight: bold;
			color: #5d5d5d;
		}

		.right-img {
			width: 13rpx;
			height: 23rpx;
		}
	}
</style>